Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class Order_PaymentTransaction_CRUD

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.order.Order_PaymentTransaction_CRUD

public class Order_PaymentTransaction_CRUD
extends Object

CRUD for Aggregate Mapping

Constructor Summary
`Order_PaymentTransaction_CRUD()`

Method Summary
`static PaymentTransactionPk` | `find(Connection connection, Object container)`
`static void` | `update(Connection connection, Object containerKey, Object container)` Update 1:1 requires changes in two tables, one for the contained class, the other for the containing class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Order_PaymentTransaction_CRUD

    public Order_PaymentTransaction_CRUD()

Method Detail

### update

    public static void update(Connection connection,
                              Object containerKey,
                              Object container)
                       throws BMPException

  Update 1:1 requires changes in two tables, one for the contained class, the other for the containing class. For the contained class: - see if the instance exists in the database. - if he exists, update him - if he does not exist, create him For the containing class: - update foreign key fields to the contained class. - a database trigger should delete the old instance of the contained class if it was contained by value

  Parameters:
    `connection` - the database connection
    `BMPException`

### find

    public static PaymentTransactionPk find(Connection connection,
                                            Object container)
                                     throws BMPException

    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved